AMQPChannel
AMQPChannel::__construct
AMQPChannel
PHP Manual

# AMQPChannel::commitTransaction

Commit a pending transaction

### Description

public void AMQPChannel::commitTransaction ( void )

Commit an existing transaction. AMQPChannel::startTransaction must be called prior to this.

### Errors/Exceptions

Throws AMQPChannelException exception if no transaction was started prior to calling this method.

Throws AMQPConnectionException if the connection to the broker was lost.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.